0

This question already has an answer here:

In kali linux,I install shutter with the command:

apt-get install shutter 

but I get error:

root@kali-linux:~# sudo apt-get install shutter
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package shutter is not available, but is referred to by another 
package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'shutter' has no installation candidate

Here is my /etc/apt/sources.list:

root@kali-linux:~# cat /etc/apt/sources.list
deb http://http.kali.org/kali kali-rolling main contrib non-free

I download package from debian snapshot:

root@kali-linux:~/Downloads# dpkg -i shutter_0.94-1_all.deb
Selecting previously unselected package shutter.
(Reading database ... 382080 files and directories currently installed.)
Preparing to unpack shutter_0.94-1_all.deb ...
Unpacking shutter (0.94-1) ...
dpkg: dependency problems prevent configuration of shutter:
shutter depends on libgnome2-perl; however:
Package libgnome2-perl is not installed.
shutter depends on libgnome2-vfs-perl; however:
Package libgnome2-vfs-perl is not installed.
shutter depends on libgnome2-wnck-perl; however:
Package libgnome2-wnck-perl is not installed.
shutter depends on libgnome2-gconf-perl; however:
Package libgnome2-gconf-perl is not installed.
shutter depends on libwww-mechanize-perl; however:
Package libwww-mechanize-perl is not installed.
shutter depends on libimage-magick-perl; however:
Package libimage-magick-perl is not installed.
shutter depends on libproc-simple-perl; however:
Package libproc-simple-perl is not installed.
shutter depends on libfile-which-perl; however:
Package libfile-which-perl is not installed.
shutter depends on libsort-naturally-perl; however:
Package libsort-naturally-perl is not installed.
shutter depends on libgtk2-imageview-perl; however:
Package libgtk2-imageview-perl is not installed.
shutter depends on libgnome2-canvas-perl; however:
Package libgnome2-canvas-perl is not installed.
shutter depends on libgtk2-unique-perl; however:
Package libgtk2-unique-perl is not installed.
shutter depends on libproc-processtable-perl; however:
Package libproc-processtable-perl is not installed.
shutter depends on libpath-class-perl; however:
Package libpath-class-perl is not installed.
shutter depends on libnet-dropbox-api-perl; however:
Package libnet-dropbox-api-perl is not installed.
shutter depends on libx11-protocol-other-perl; however:
Package libx11-protocol-other-perl is not installed.
dpkg: error processing package shutter (--install):
dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.23-3) ...
Processing triggers for gnome-menus (3.13.3-11) ...
Processing triggers for mime-support (3.60) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for man-db (2.8.3-2) ...
Errors were encountered while processing:
 shutter

then I try command

apt-get -f install 

root@kali-linux:~/Downloads# apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages will be REMOVED:
  shutter
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 17.7 MB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 382932 files and directories currently installed.)
Removing shutter (0.94-1) ...
Processing triggers for mime-support (3.60) ...
Processing triggers for desktop-file-utils (0.23-3) ...
Processing triggers for man-db (2.8.3-2) ...
Processing triggers for gnome-menus (3.13.3-11) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...

How to install it?

marked as duplicate by Rui F Ribeiro, Stephen Kitt, elbarna, 0xC0000022L, Christopher Apr 17 '18 at 16:12

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • Also on recent distro apt-get is replaced by apt – Kiwy Apr 16 '18 at 12:48
  • @Kiwy, no, it’s not replaced, you can use either. – Stephen Kitt Apr 16 '18 at 12:51
0

Shutter has been removed from Kali, probably because it’s been removed from Debian 10, because it depends on libraries which are being removed (see #870418 for details).

If you really want the package, you can try installing it manually from Debian snapshots, along with its dependencies. You can also help port it to newer libraries and get it re-introduced into Debian 10, from where it will automatically be re-introduced into Kali.

  • I download package from Debian snapshots,then I install it with ./configure --prefix=/usr/local/bin/,get error:bash: ./configure: No such file or directory.Why? – user261526 Apr 16 '18 at 12:25
  • 2
    Because it’s a package, not a source tarball; you install it with dpkg. Note that Kali is intended for experienced users; if you’re asking these questions you should look at another distribution instead. – Stephen Kitt Apr 16 '18 at 12:30
  • But,it may be not package,install package with command: dpkg -i XXXX.deb – user261526 Apr 16 '18 at 12:35
  • wget http://snapshot.debian.org/archive/debian/20180212T094629Z/pool/main/s/shutter/shutter_0.94-1_all.deb && sudo dpkg -i shutter_0.94-1_all.deb and you definitely need another distribution. – Stephen Kitt Apr 16 '18 at 12:52
  • install fail:Errors were encountered while processing: shutter. shutter_0.94-1_all.deb ,shutter_0.88.3-1_all.deb and shutter_0.93.1-2_all.deb all can't install – user261526 Apr 16 '18 at 13:23